Name:		flowblade
Version:		1.0.0
Release:	%mkrel 2
License:		GPLv3
Summary:	Multitrack non-linear video editor for Linux
Url:		https://code.google.com/p/flowblade/
BuildRoot:  	%{_tmppath}/%{name}-%{version}-%{release}-root
Group:		Video
Source0:	https://www.dropbox.com/s/goligzl0lnhi77k/flowblade-1.0.0.tar.xz
#---------------------------------------------
BuildRequires:	desktop-file-utils
BuildRequires:	%{_lib}python-devel
BuildRequires:	python-setuptools
#---------------------------------------------
Requires:	ffmpeg 
Requires:	pygtk2.0 
Requires:	ladspa 
Requires:	sox 
Requires:	frei0r-plugins >= 1.4
Requires:	gnome-python-gnomevfs 
Requires:	python-numpy 
Requires:	python-pillow
Requires:	python-cairo
Requires:	mlt >= 0.9.6
Requires:	python-mlt
Requires:	calf
Requires:	ladspa-calf-plugins
Requires:       python-pyxdg
Requires:       %{_lib}cairo2
Requires:	%{_lib}cairomm1.0_1
Requires:	%{_lib}rsvg2_2

%description
Flowblade Movie Editor is a multitrack non-linear video editor for Linux
released under GPL 3 license.

Flowblade is designed to provide a fast, precise and robust editing 
experience.

In Flowblade clips are usually automatically placed tightly after or 
between clips when they are inserted on the timeline. Edits are fine 
tuned by trimming in and out points of clips, or by cutting and deleting 
parts of clips.

Flowblade provides powerful tools to mix and filter video and audio. 


%prep
%setup -q -n %{name}-%{version}
# patching flowblade, and avoid message 'small screen'
# sed -i 's/1151/1024/g' Flowblade/app.py

find . -type f -print0 | xargs -0 -n 250 chmod a-x
find . -type f | xargs egrep -l '\#!/usr/bin/env|\#!BPY' | xargs chmod a+x

%build
#%{__python} setup.py build

%install
rm -rf %buildroot
python2 setup.py install --root=%{buildroot} --install-lib=/usr/share/pyshared --optimize=1

desktop-file-install \
     --remove-category="Application" \
     --remove-category="GNOME" \
     --add-category="X-MandrivaLinux-Multimedia-Video" \
     --remove-key="X-Ubuntu-Gettext-Domain" \
     --remove-key="X-GNOME-FullName" \
     --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/%{name}.desktop


%files
%defattr(-,root,root)
%{_bindir}/flowblade
%{_datadir}/applications/flowblade.desktop
%{_mandir}/man1/flowblade.1.bz2
%{_datadir}/mime/packages/flowblade.xml
%{_datadir}/pixmaps/flowblade.png
/usr/lib/mime/packages/flowblade
%{_datadir}/pyshared/Flowblade/
%{_datadir}/pyshared/flowblade*

%changelog
* Thu Aug 11 2016 adrianomorselli <adrianomorselli> 1.0.0-2uplos2015
- rebuild

* Wed Jun 17 2015 bb <bb> 1.0.0-2pclos2015
- fix rpm group to Video
- fix buildroot
- fix permissions

* Tue Jun 16 2015 pp <pp> 1.0.0-1pclos2015
- imported package
